import { Request, Response, NextFunction } from "express";
import { getLogger } from "@server/../log";

const logger = getLogger(__filename);

// This middleware returns the last segment of the url path.
// It's used to identify which tab to highlight as active on
// the guild view at '/guild/<id>/<page>'
export const guildTabHelper = (request: Request, response: Response, next: NextFunction) => {
    const currentPath = request.path.split("/")
    const guildPage = currentPath[currentPath.length - 1];

    logger.debug(`Attaching '${guildPage}' tab helper to response locals`);

    response.locals.guildPage = guildPage;
    next();
}